Package ru.nilsoft.tm

# Class TMCommand.reg_change_flags

java.lang.Object
ru.nilsoft.tm.TMCommand.reg_change_flags

Enclosing class:
  `TMCommand`

public static final class TMCommand.reg_change_flags extends Object
Коды причин изменения сведений о ККТ (тег 1205, ФФД 1.1 и выше, смотри `TMCommand.CmdRegistration_1_1(java.lang.String, java.lang.String, byte, java.lang.String, short, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int)`,`TMCommand.CmdRegistration_1_2(java.lang.String, java.lang.String, byte, java.lang.String, int, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, byte, byte, byte, java.lang.String, java.lang.String, java.lang.String, java.lang.String, int, java.lang.String, java.lang.String)`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CHANGE_ADDRESS`
  Изменение адреса и (или) места установки (применения) контрольно-кассовой техники.
  `static final int`
  `CHANGE_FFD_VERSION`
  Изменение версии ФФД.
  `static final int`
  `CHANGE_FN`
  Замена фискального накопителя.
  `static final int`
  `CHANGE_KKT_VERSION`
  Изменение версии модели ККТ.
  `static final int`
  `CHANGE_NAME`
  Изменение наименования пользователя контрольно-кассовой техники.
  `static final int`
  `CHANGE_NUMBER`
  Изменение номера автоматического устройства для расчетов, в составе которого применяется ККТ.
  `static final int`
  `CHANGE_OFD`
  Замена оператора фискальных данных.
  `static final int`
  `CHANGE_TAX_MODE`
  Изменение перечня систем налогообложения, применяемых при осуществлении расчетов.
  `static final int`
  `FROM_AGENT`
  Перевод ККТ из режима, позволяющего оказывать услуги платежного агента (субагента) или банковского платежного агента, в режим, не позволяющий оказывать услуги платежного агента (субагента) или банковского платежного агента.
  `static final int`
  `FROM_AUTO_MODE`
  Перевод ККТ из автоматического режима в неавтоматический режим (осуществление расчетов кассиром).
  `static final int`
  `FROM_AUTONOMOUS`
  Перевод ККТ из автономного режима в режим передачи данных.
  `static final int`
  `FROM_BSO_MODE`
  Перевод ККТ из режима, позволяющего формировать БСО, в режим, не позволяющий формировать БСО.
  `static final int`
  `FROM_CHANCE_GAMES`
  Перевод ККТ из режима, позволяющего применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр, в режим, не позволяющий применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
  `static final int`
  `FROM_INTERNET`
  Перевод ККТ из режима расчетов в сети Интернет (позволяющего не печатать кассовый чек и БСО) в режим, позволяющий печатать кассовый чек и БСО.
  `static final int`
  `FROM_LOTTERY`
  Перевод ККТ из режима, позволяющего применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей, в режим, не позволяющий применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.
  `static final int`
  `OTHER`
  Иные причины.
  `static final int`
  `TO_AGENT`
  Перевод ККТ из режима, не позволяющего оказывать услуги платежного агента (субагента) или банковского платежного агента в режим, позволяющий оказывать услуги платежного агента (субагента) или банковского платежного агента.
  `static final int`
  `TO_AUTO_MODE`
  Перевод ККТ из неавтоматического режима (осуществление расчетов кассиром) в автоматический режим.
  `static final int`
  `TO_AUTONOMOUS`
  Перевод ККТ из режима передачи данных в автономный режим.
  `static final int`
  `TO_BSO_MODE`
  Перевод ККТ из режима, не позволяющего формировать БСО, в режим, позволяющий формировать БСО.
  `static final int`
  `TO_CHANCE_GAMES`
  Перевод ККТ из режима, не позволяющего применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр, в режим, позволяющий применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
  `static final int`
  `TO_INTERNET`
  Перевод ККТ из режима, позволяющего печатать кассовый чек и БСО, в режим расчетов в сети Интернет (позволяющего не печатать кассовый чек и БСО).
  `static final int`
  `TO_LOTTERY`
  Перевод ККТ из режима, не позволяющего применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей, в режим, позволяющий применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `reg_change_flags()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CHANGE_FN

    public static final int CHANGE_FN
    Замена фискального накопителя.
    See Also:
      - Constant Field Values

  - ### CHANGE_OFD

    public static final int CHANGE_OFD
    Замена оператора фискальных данных.
    See Also:
      - Constant Field Values

  - ### CHANGE_NAME

    public static final int CHANGE_NAME
    Изменение наименования пользователя контрольно-кассовой техники.
    See Also:
      - Constant Field Values

  - ### CHANGE_ADDRESS

    public static final int CHANGE_ADDRESS
    Изменение адреса и (или) места установки (применения) контрольно-кассовой техники.
    See Also:
      - Constant Field Values

  - ### FROM_AUTONOMOUS

    public static final int FROM_AUTONOMOUS
    Перевод ККТ из автономного режима в режим передачи данных.
    See Also:
      - Constant Field Values

  - ### TO_AUTONOMOUS

    public static final int TO_AUTONOMOUS
    Перевод ККТ из режима передачи данных в автономный режим.
    See Also:
      - Constant Field Values

  - ### CHANGE_KKT_VERSION

    public static final int CHANGE_KKT_VERSION
    Изменение версии модели ККТ.
    See Also:
      - Constant Field Values

  - ### CHANGE_TAX_MODE

    public static final int CHANGE_TAX_MODE
    Изменение перечня систем налогообложения, применяемых при осуществлении расчетов.
    See Also:
      - Constant Field Values

  - ### CHANGE_NUMBER

    public static final int CHANGE_NUMBER
    Изменение номера автоматического устройства для расчетов, в составе которого применяется ККТ.
    See Also:
      - Constant Field Values

  - ### FROM_AUTO_MODE

    public static final int FROM_AUTO_MODE
    Перевод ККТ из автоматического режима в неавтоматический режим (осуществление расчетов кассиром).
    See Also:
      - Constant Field Values

  - ### TO_AUTO_MODE

    public static final int TO_AUTO_MODE
    Перевод ККТ из неавтоматического режима (осуществление расчетов кассиром) в автоматический режим.
    See Also:
      - Constant Field Values

  - ### TO_BSO_MODE

    public static final int TO_BSO_MODE
    Перевод ККТ из режима, не позволяющего формировать БСО, в режим, позволяющий формировать БСО.
    See Also:
      - Constant Field Values

  - ### FROM_BSO_MODE

    public static final int FROM_BSO_MODE
    Перевод ККТ из режима, позволяющего формировать БСО, в режим, не позволяющий формировать БСО.
    See Also:
      - Constant Field Values

  - ### FROM_INTERNET

    public static final int FROM_INTERNET
    Перевод ККТ из режима расчетов в сети Интернет (позволяющего не печатать кассовый чек и БСО) в режим, позволяющий печатать кассовый чек и БСО.
    See Also:
      - Constant Field Values

  - ### TO_INTERNET

    public static final int TO_INTERNET
    Перевод ККТ из режима, позволяющего печатать кассовый чек и БСО, в режим расчетов в сети Интернет (позволяющего не печатать кассовый чек и БСО).
    See Also:
      - Constant Field Values

  - ### FROM_AGENT

    public static final int FROM_AGENT
    Перевод ККТ из режима, позволяющего оказывать услуги платежного агента (субагента) или банковского платежного агента, в режим, не позволяющий оказывать услуги платежного агента (субагента) или банковского платежного агента.
    See Also:
      - Constant Field Values

  - ### TO_AGENT

    public static final int TO_AGENT
    Перевод ККТ из режима, не позволяющего оказывать услуги платежного агента (субагента) или банковского платежного агента в режим, позволяющий оказывать услуги платежного агента (субагента) или банковского платежного агента.
    See Also:
      - Constant Field Values

  - ### FROM_CHANCE_GAMES

    public static final int FROM_CHANCE_GAMES
    Перевод ККТ из режима, позволяющего применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр, в режим, не позволяющий применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
    See Also:
      - Constant Field Values

  - ### TO_CHANCE_GAMES

    public static final int TO_CHANCE_GAMES
    Перевод ККТ из режима, не позволяющего применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр, в режим, позволяющий применять ККТ при приеме ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению азартных игр.
    See Also:
      - Constant Field Values

  - ### FROM_LOTTERY

    public static final int FROM_LOTTERY
    Перевод ККТ из режима, позволяющего применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей, в режим, не позволяющий применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.
    See Also:
      - Constant Field Values

  - ### TO_LOTTERY

    public static final int TO_LOTTERY
    Перевод ККТ из режима, не позволяющего применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей, в режим, позволяющий применять ККТ при приеме денежных средств при реализации лотерейных билетов, электронных лотерейных билетов, приеме лотерейных ставок и выплате денежных средств в виде выигрыша при осуществлении деятельности по проведению лотерей.
    See Also:
      - Constant Field Values

  - ### CHANGE_FFD_VERSION

    public static final int CHANGE_FFD_VERSION
    Изменение версии ФФД.
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final int OTHER
    Иные причины.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### reg_change_flags

    public reg_change_flags()